/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  v2012                                 |
|   \\  /    A nd           | Website:  www.openfoam.com                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    object      controlDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

application     rhoPimpleAdiabaticFoam;

startFrom       startTime;

startTime       0;

stopAt          endTime;

endTime         0.05;

deltaT          1e-5;

writeControl    timeStep;

writeInterval   500;

purgeWrite      0;

writeFormat     ascii;

writePrecision  6;

writeCompression off;

timeFormat      general;

timePrecision   6;

runTimeModifiable true;

adjustTimeStep  no;

maxCo           0.5;

graphFormat     raw;

functions
{
    surfaces
    {
        type            surfaces;
        surfaceFormat   boundaryData;
        writeControl    timeStep;
        writeInterval   10;
        interpolationScheme cell;
        fields
        (
            p
        );
        formatOptions
        {
            boundaryData
            {
                format          binary;
            }
        }
        surfaces
        {
            window
            {
                type            patch;
                patches         (window);
                interpolate     false;
            }
        }
    }
}


// ************************************************************************* //
